Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.classifiers.bayes.net
Class BayesNetGenerator

    java.lang.Object
      weka.classifiers.Classifier
          weka.classifiers.bayes.BayesNet
              weka.classifiers.bayes.net.BayesNetGenerator

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, AdditionalMeasureProducer, Drawable, OptionHandler, WeightedInstancesHandler

    public class BayesNetGenerator

extends BayesNet

BayesNetGenerator offers facilities for generating random Bayes networks and random instances based on a Bayes network.

Version:
  $Revision: 1.4.2.3 $
Author:
  Remco Bouckaert (rrb@xm.co.nz)
See Also:
  Serialized Form

Field Summary

Fields inherited from class weka.classifiers.bayes.BayesNet
`m_Distributions, m_Instances`

Fields inherited from interface weka.core.Drawable
`BayesNet, NOT_DRAWABLE, TREE`

Constructor Summary
`BayesNetGenerator()` Constructor for BayesNetGenerator.

Method Summary
`void` | `generateInstances()`
`void` | `generateRandomNetwork()`
`void` | `generateRandomNetworkStructure(int nNodes, int nArcs)`
`java.lang.String[]` | `getOptions()` Gets the current settings of the classifier.
`void` | `Init(int nNodes, int nValues)`
`java.util.Enumeration` | `listOptions()` Returns an enumeration describing the available options
`static void` | `main(java.lang.String[] Argv)`
`void` | `setOptions(java.lang.String[] options)` Parses a given list of options.
`java.lang.String` | `toString()` Returns a description of the classifier.

Methods inherited from class weka.classifiers.bayes.BayesNet
`BIFFileTipText, buildClassifier, buildStructure, countsForInstance, distributionForInstance, enumerateMeasures, estimateCPTs, estimatorTipText, getADTree, getBIFFile, getCardinality, getDistributions, getEstimator, getMeasure, getName, getNodeName, getNodeValue, getNrOfNodes, getNrOfParents, getParent, getParentCardinality, getParentSet, getParentSets, getProbability, getSearchAlgorithm, getUseADTree, globalInfo, graph, graphType, initCPTs, initStructure, measureAICScore, measureBayesScore, measureBDeuScore, measureDivergence, measureEntropyScore, measureExtraArcs, measureMDLScore, measureMissingArcs, measureReversedArcs, partitionOptions, searchAlgorithmTipText, setBIFFile, setEstimator, setSearchAlgorithm, setUseADTree, toXMLBIF03, updateClassifier, useADTreeTipText`

Methods inherited from class weka.classifiers.Classifier
`classifyInstance, debugTipText, forName, getDebug, makeCopies, makeCopy, setDebug`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BayesNetGenerator

    public BayesNetGenerator()

  Constructor for BayesNetGenerator.

Method Detail

### generateRandomNetwork

    public void generateRandomNetwork()
                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### Init

    public void Init(int nNodes,
                     int nValues)
              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### generateRandomNetworkStructure

    public void generateRandomNetworkStructure(int nNodes,
                                               int nArcs)
                                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### generateInstances

    public void generateInstances()

### toString

    public java.lang.String toString()

  Description copied from class: `BayesNet`
  Returns a description of the classifier.

  Overrides:
    `toString` in class `BayesNet`
  Returns:
    a description of the classifier as a string.

### listOptions

    public java.util.Enumeration listOptions()

  Returns an enumeration describing the available options

  Specified by:
    `listOptions` in interface `OptionHandler`
  Overrides:
    `listOptions` in class `BayesNet`
  Returns:
    an enumeration of all the available options

### setOptions

    public void setOptions(java.lang.String[] options)
                    throws java.lang.Exception

  Parses a given list of options. Valid options are:

  Specified by:
    `setOptions` in interface `OptionHandler`
  Overrides:
    `setOptions` in class `BayesNet`
  Parameters:
    `options` - the list of options as an array of strings
  Throws:
    `java.lang.Exception` - if an option is not supported

### getOptions

    public java.lang.String[] getOptions()

  Gets the current settings of the classifier.

  Specified by:
    `getOptions` in interface `OptionHandler`
  Overrides:
    `getOptions` in class `BayesNet`
  Returns:
    an array of strings suitable for passing to setOptions

### main

    public static void main(java.lang.String[] Argv)

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD